> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Box Hub

> Creates a new Box Hub.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json POST /hubs
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /hubs:
    post:
      tags:
        - Box Hubs
      summary: Create Box Hub
      description: Creates a new Box Hub.
      operationId: post_hubs_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HubCreateRequest'
      responses:
        '201':
          description: Returns a new Hub object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Hub'
        '400':
          description: Returned if any of the request parameters are not valid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: >-
            Returns an error when the user does not have the right permissions
            to create a Hub.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Create Box Hub
          source: |-
            curl -i -X POST "https://api.box.com/2.0/hubs" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "title": "Hub Title",
                   "description": "This is a description of the Box Hub."
                 }'
        - lang: dotnet
          label: Create Box Hub
          source: >-
            await client.Hubs.CreateHubV2025R0Async(requestBody: new
            HubCreateRequestV2025R0(title: hubTitle) { Description =
            hubDescription });
        - lang: swift
          label: Create Box Hub
          source: >-
            try await client.hubs.createHubV2025R0(requestBody:
            HubCreateRequestV2025R0(title: hubTitle, description:
            hubDescription))
        - lang: java
          label: Create Box Hub
          source: >-
            client.getHubs().createHubV2025R0(new
            HubCreateRequestV2025R0.Builder(hubTitle).description(hubDescription).build())
        - lang: node
          label: Create Box Hub
          source: |-
            await client.hubs.createHubV2025R0({
              title: hubTitle,
              description: hubDescription,
            } satisfies HubCreateRequestV2025R0);
        - lang: python
          label: Create Box Hub
          source: >-
            client.hubs.create_hub_v2025_r0(hub_title,
            description=hub_description)
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    HubCreateRequest:
      description: Request schema for creating a new Box Hub.
      type: object
      properties:
        title:
          description: >-
            Title of the Box Hub. It cannot be empty and should be less than 50
            characters.
          type: string
          example: Hub Title
          maxLength: 50
        description:
          description: Description of the Box Hub.
          type: string
          example: This is a description of the Box Hub.
      required:
        - title
      title: Box Hub Create Request
    Hub:
      description: >-
        A standard representation of a Box Hub, as returned from any Box Hubs
        API endpoints by default.
      type: object
      allOf:
        - $ref: '#/components/schemas/Hub--Base'
        - properties:
            title:
              description: The title given to the Box Hub.
              type: string
              example: Contracts
            description:
              description: >-
                The description of the Box Hub. First 200 characters are
                returned.
              type: string
              example: All the contracts for the company.
            created_at:
              description: >-
                The date and time when the folder was created. This value may be
                `null` for some folders such as the root folder or the trash
                folder.
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            updated_at:
              description: The date and time when the Box Hub was last updated.
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            created_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: The user who created this Box Hub.
            updated_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: The user who last modified this Box Hub.
            view_count:
              description: The number of views for the Box Hub.
              type: integer
              format: int32
              example: 506
            is_ai_enabled:
              description: Indicates if AI features are enabled for the Box Hub.
              type: boolean
              example: true
            is_collaboration_restricted_to_enterprise:
              description: Indicates if collaboration is restricted to the enterprise.
              type: boolean
              example: true
            can_non_owners_invite:
              description: Indicates if non-owners can invite others to the Box Hub.
              type: boolean
              example: true
            can_shared_link_be_created:
              description: Indicates if a shared link can be created for the Box Hub.
              type: boolean
              example: true
            can_public_shared_link_be_created:
              description: >-
                Indicates if a public shared link can be created for the Box
                Hub.
              type: boolean
              example: true
            copy_hub_access:
              description: >-
                Specifies who is allowed to copy the Box Hub.


                - `all` - Any user with access to the Hub can copy it.

                - `company` - Only users within the same enterprise as the Hub
                can copy it.

                - `none` - No one can copy the Hub.
              type: string
              example: company
              enum:
                - all
                - company
                - none
      title: Box Hub
      x-box-resource-id: hub_v2025.0
      x-box-tag: hubs
      x-box-variant: standard
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    Hub--Base:
      description: The bare basic representation of a Box Hub.
      type: object
      properties:
        id:
          description: >-
            The unique identifier that represent a Box Hub.


            The ID for any Box Hub can be determined by visiting a Box Hub in
            the web application and copying the ID from the URL. For example,
            for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.
          type: string
          example: '12345'
        type:
          description: The value will always be `hubs`.
          type: string
          example: hubs
          enum:
            - hubs
      required:
        - id
        - type
      title: Box Hub (Base)
      x-box-resource-id: hub_v2025.0--base
      x-box-tag: hubs
      x-box-variant: base
      x-box-variants:
        - base
        - standard
    User--Mini:
      description: >-
        A mini representation of a user, as can be returned when nested within
        other resources.
      type: object
      allOf:
        - $ref: '#/components/schemas/User--Base'
        - properties:
            name:
              description: The display name of this user.
              type: string
              example: Aaron Levie
              maxLength: 50
            login:
              description: The primary email address of this user.
              type: string
              format: email
              example: ceo@example.com
      title: User (Mini)
    User--Base:
      description: >-
        A mini representation of a user, used when nested within another
        resource.
      type: object
      properties:
        id:
          description: The unique identifier for this user.
          type: string
          example: '11446498'
        type:
          description: The value will always be `user`.
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: User (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````